package jp.ehobby.info;

import static org.junit.Assert.*;

import org.junit.Test;

/**
 * SystemInfoTest 単体テスト.
 */
@SuppressWarnings("static-method")
public class SystemInfoTest {


	/**
	 * pid取得.
	 *
	 * @method  getPid()
	 * @process getPid()にてpidを取得する.
	 * @spec    pidが取得できること.
	 */
	@Test
	public void testGetPid() {
		int pid = SystemInfo.getPid();
		if (pid < 0) {
			fail("not supported pid");					//$NON-NLS-1$
		}
		System.out.println("PID      = " + pid);		//$NON-NLS-1$
	}


	/**
	 * hostname取得.
	 *
	 * @method getLocalHostName()
	 * @process getLocalHostName()にて、ホスト名を取得する.
	 * @spec ローカルホスト名が取得できること.
	 */
	@Test
	public void testGetLocalHostName() {
		String hostName = SystemInfo.getLocalHostName();
		assertNotNull(hostName);
		System.out.println("Hostname = " + hostName);	//$NON-NLS-1$
	}

}
